summaryrefslogtreecommitdiff
path: root/dev-python/python-ipware
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/python-ipware')
-rw-r--r--dev-python/python-ipware/Manifest2
-rw-r--r--dev-python/python-ipware/python-ipware-0.9.0.ebuild28
-rw-r--r--dev-python/python-ipware/python-ipware-2.0.2.ebuild20
3 files changed, 21 insertions, 29 deletions
diff --git a/dev-python/python-ipware/Manifest b/dev-python/python-ipware/Manifest
index bcfc279c17c4..aa615047ff4d 100644
--- a/dev-python/python-ipware/Manifest
+++ b/dev-python/python-ipware/Manifest
@@ -1,2 +1,2 @@
-DIST python-ipware-0.9.0.gh.tar.gz 11844 BLAKE2B 0d68933880063fa6a28a04bea3dd3e45c55af318b95e6e3d6bd163b6d77433b0fecd90b31d074107738534340fdd1e373b9d70012665ed5b2bc74a6a26d00f03 SHA512 9cbd44a31e1007958e08217ce43a4412390f386adacea18a5c242c970e103b892c351845d824a2cc88b9ee96694b21a2c938ad92ffa07f9c38e387fc37ea8816
DIST python-ipware-2.0.1.gh.tar.gz 12714 BLAKE2B 09486e6bf0090c95108030ba9b9027e0465ab5e1b9306ff03c214007034b88097925210da15c5dd52b9c25f3b706507196257e4836448c9449117c56e128ad33 SHA512 91f5d0c311238c48dce195db48ef29058d7fc35d3d1e81edcef63d7f267879399ee7bba87b101c8ab869f5e45d55af9a11e65333a11a56f9b24da98555d4b686
+DIST python-ipware-2.0.2.gh.tar.gz 12737 BLAKE2B 7efea07883e585c537a1ab8a5d38abf625d3ac7541d9523dc71ddde622a0a4a43c6e2a667261f5bc9b1b0f8c2731e91708e6585d6edd37f923bd62ed22480c96 SHA512 20b50f7b9b82728786427b51ed8537c12fbaeee915068f91f4b15e7a1e4b8be192020552af562d70d917bac11060de1dd4bb243cc70d369b36764a28965cd734
diff --git a/dev-python/python-ipware/python-ipware-0.9.0.ebuild b/dev-python/python-ipware/python-ipware-0.9.0.ebuild
deleted file mode 100644
index 7df0c76a602a..000000000000
--- a/dev-python/python-ipware/python-ipware-0.9.0.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-
-inherit distutils-r1
-
-DESCRIPTION="A Django application to retrieve user's IP address"
-HOMEPAGE="
- https://github.com/un33k/python-ipware
- https://pypi.org/project/python-ipware/
-"
-SRC_URI="
- https://github.com/un33k/python-ipware/archive/refs/tags/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-
-python_test() {
- "${EPYTHON}" tests/manage.py test -v2 myapp ||
- die "Tests failed with ${EPYTHON}"
-}
diff --git a/dev-python/python-ipware/python-ipware-2.0.2.ebuild b/dev-python/python-ipware/python-ipware-2.0.2.ebuild
new file mode 100644
index 000000000000..251bcecbf35c
--- /dev/null
+++ b/dev-python/python-ipware/python-ipware-2.0.2.ebuild
@@ -0,0 +1,20 @@
+# Copyright 2023-2024 Liguros Authors
+# Distributed under the terms of the GNU General Public License v2
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="A Django application to retrieve user's IP address"
+HOMEPAGE="https://github.com/un33k/python-ipware https://pypi.org/project/python-ipware/"
+SRC_URI="https://github.com/un33k/python-ipware/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+python_test() {
+ "${EPYTHON}" tests/manage.py test -v2 myapp || die "Tests failed with ${EPYTHON}"
+}